<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Profile update</title>
</head>
<body>
<div layout:fragment="content">
    <div class="row">
        <div class="col-md-4 ml-auto mr-auto">
            <div class="card">
                <div class="card-header card-header-text card-header-rose">
                    <div class="card-text">
                        <h4 class="card-title" th:text="'Username: ' +${session.get('currentUser')}">Your username</h4>
                    </div>
                </div>
                <div class="card-body">
                    <form action="#" th:action="@{/updateme}"
                          th:object="${userDTO}" method="post">
                        <div class="form-group">
                            <label>First name</label>
                            <input type="text" class="form-control" th:field="*{first_name}">
                            <small class="error" th:errors="*{first_name}">First name-related error messages will be
                                here </small>
                        </div>
                        <div class="form-group">
                            <label>Last name</label>
                            <input type="text" class="form-control" th:field="*{last_name}">
                            <small class="error" th:errors="*{last_name}">Last name-related error messages will be
                                here </small>
                        </div>
                        <div class="form-group">
                            <label>Email</label>
                            <input type="text" class="form-control" th:field="*{email}">
                            <small class="error" th:errors="*{email}">Email-related error messages will be
                                here </small>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-info" type="submit">Update</button>
                        </div>
                    </form>
                    <small class="text-muted ml-2">
                        <a href="" th:href="@{/updatemypassword}">Need to change password? Click here!</a>
                    </small>
                </div>
            </div>
        </div>
    </div>
</div>

</body>
</html>